package com.realnet.dashb.Services;
import com.realnet.dashb.Repository.TestcRepository;
import com.realnet.dashb.Entity.Testc
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class TestcService {
@Autowired
private TestcRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Testc Savedata(Testc data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testc save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testc> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Testc> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testc> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testc getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testc update(Testc data,Integer id) {
	Testc old = Repository.findById(id).get();
old.setState_name(data.getState_name());

old.setDistrict_name(data.getDistrict_name());

old.setPapulation(data.getPapulation());

old.setMale_papulation(data.getMale_papulation());

old.setFemale_papulation(data.getFemale_papulation());

final Testc test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
